WHATIS(1)

NAME
whatis - search for manual pages by page names

SYNOPSIS
whatis [-C file] [-M manpath] [-m manpath] [-S arch] [-s section] name ...

DESCRIPTION
The whatis utility searches databases generated by mandocdb(8) for manuals containing the word name in their page name, ignoring case. It returns the header lines from all matching pages. You can then use the man(1) command to get more information.

By default, whatis searches for mandocdb(8) databases in the default paths stipulated by man(1). If standard output is a TTY, a result may be selected from a list and its manual displayed with the pager.

The options are as follows:

-C file
    Specify an alternative configuration file in man.conf(5) format.

-M manpath
    Use the colon-separated manpath instead of the default list of paths searched for mandocdb(8) databases. Invalid paths, or paths without manual databases, are ignored.

-m manpath
    Prepend the colon-separated manpath to the list of paths searched for mandocdb(8) databases. Invalid paths, or paths without manual databases, are ignored.

-S arch
    Search only for a particular architecture.

-s cat
    Search only for a manual section. See man(1) for a listing of manual sections.

Results are sorted by manual title, with output formatted as

    title(sec) - description

Where "title" is the manual's title (note multiple manual names may exist for one title), "sec" is the manual section, and "description" is the manual's short description. If an architecture is specified for the manual, it is displayed as

    title(cat/arch) - description

If on a TTY, results are prefixed with a numeric identifier.

    [index] title(cat) - description

One may choose a manual be entering the index at the prompt. Valid choices are displayed using MANPAGER, or failing that , PAGER or just more(1). Source pages are formatted with mandoc(1); preformatted pages with cat(1).

whatis is identical to running apropos(1) as follows:

    $ apropos -- -i 'Nm~[[:<:]]term[[:>:]]'

ENVIRONMENT

MANPAGER
    Default pager for manuals. If this is unset, falls back to Pager.

PAGER
    The second choice for a manual pager. If this is unset, use more(1).

MANPATH
    Colon-separated paths modifying the default list of paths searched for manual databases. Invalid paths, or paths without manual databases, are ignored. Overridden by -M. If MANPATH begins with a ‘’:, it is appended to the default list; else if it ends with ‘’:, it is prepended to the default list; else if it contains ‘::’, the default list is inserted between the colons. If none of these conditions are met, it overrides the default list.

FILES
whatis.db
    name of the mandocdb(8) keyword database
whatis.index
    name of the mandocdb(8) filename database
/etc/man.conf
    default man(1) configuration file

EXIT STATUS

SEE ALSO
apropos(1), man(1), man.conf(5), mandocdb(8)

HISTORY
The whatis utility first appeared in 2BSD. It was rewritten from scratch as part of the mandocdb(8) project for OpenBSD 5.1.

AUTHORS
-nosplit Bill Joy wrote the original BSD whatis in 1979. The current version was written by Kristaps Dzonsons, kristaps@bsd.lv.